// gnome.xonotic.in.ua

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/dsi/dsiglass
{
	qer_editorimage textures/dsi/dsiglass.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/dsi/dsitinfx.tga
		blendfunc add
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/e8/e8jumpspawn02b
{
	surfaceparm metalsteps
	q3map_lightimage textures/e8/e8jumpspawn02_fx.tga
	q3map_surfacelight 100
	{
		map textures/e8/e8jumpspawn02_fx.tga
		rgbgen identity
		tcmod rotate 760
	}
	{
		map textures/e8/e8jumpspawn02b.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/e8/e8_launchpad1
{
	surfaceparm metalsteps
	q3map_lightimage textures/e8/e8_launchpad1.blend.tga
	q3map_surfacelight 100
	{
		map textures/e8/e8_launchpad1_fx.tga
		rgbgen identity
		tcmod scroll 0 3
	}
	{
		map textures/e8/e8_launchpad1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map textures/e8/e8_launchpad1.blend.tga
		blendfunc add
		rgbgen wave triangle 0.2 2 1 2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/e8/e8tinylightblue
{
	qer_editorimage textures/e8/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/e8/e8tinylightblue.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/e8/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/ex/ex_clangfloor_01
{
	qer_editorimage textures/ex/ex_clangfloor_01.tga
	{
		map textures/ex/ex_clangfloor_01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_clangfloor_01b
{
	qer_editorimage textures/ex/ex_clangfloor_01b.tga
	{
		map textures/ex/ex_clangfloor_01b
	}
	{
		map $lightmap
	}
}

textures/ex/ex_cretebase_01
{
	qer_editorimage textures/ex/ex_cretebase_01.tga
	{
		map textures/ex/ex_cretebase_01.tga
	}
	{
		map $lightmap
	}
}

textures/ex/ex_cretebase_03_dark
{
	qer_editorimage textures/ex/ex_cretebase_03_dark.tga
	{
		map textures/ex/ex_cretebase_03_dark
	}
	{
		map $lightmap
	}
}

textures/ex/ex_cretefloor_01
{
	qer_editorimage textures/ex/ex_cretefloor_01.tga
	{
		map textures/ex/ex_cretefloor_01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_cretewall_03
{
	qer_editorimage textures/ex/ex_cretewall_03.tga
	{
		map textures/ex/ex_cretewall_03
	}
	{
		map $lightmap
	}
}

textures/ex/ex_deswall_01
{
	qer_editorimage textures/ex/ex_deswall_01.tga
	{
		map textures/ex/ex_deswall_01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_floor_mtl_wrn_01
{
	qer_editorimage textures/ex/ex_floor_mtl_wrn_01.tga
	{
		map textures/ex/ex_floor_mtl_wrn_01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_floorpanel_01
{
	qer_editorimage textures/ex/ex_floorpanel_01.tga
	{
		map textures/ex/ex_floorpanel_01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_floor_simple_05
{
	qer_editorimage textures/ex/ex_floor_simple_05.tga
	{
		map textures/ex/ex_floor_simple_05
	}
	{
		map $lightmap
	}
}

textures/ex/ex_floor_tread_01
{
	qer_editorimage textures/ex/ex_floor_tread_01.tga
	{
		map textures/ex/ex_floor_tread_01
	}
	{
		map $lightmap
	}
}

textures/ex/exmetalbase01
{
	qer_editorimage textures/ex/exmetalbase01.tga
	{
		map textures/ex/exmetalbase01
	}
	{
		map $lightmap
	}
}

textures/ex/exmetalbase02
{
	qer_editorimage textures/ex/exmetalbase02.tga
	{
		map textures/ex/exmetalbase02
	}
	{
		map $lightmap
	}
}

textures/ex/exmetalbase05rust
{
	qer_editorimage textures/ex/exmetalbase05rust.tga
	{
		map textures/ex/exmetalbase05rust
	}
	{
		map $lightmap
	}
}

textures/ex/exmetalfloor02
{
	qer_editorimage textures/ex/exmetalfloor02.tga
	{
		map textures/ex/exmetalfloor02
	}
	{
		map $lightmap
	}
}

textures/ex/ex_metalplate_01
{
	qer_editorimage textures/ex/ex_metalplate_01.tga
	{
		map textures/ex/ex_metalplate_01
	}
	{
		map $lightmap
	}
}

textures/ex/exmetalrib01
{
	qer_editorimage textures/ex/exmetalrib01.tga
	{
		map textures/ex/exmetalrib01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_metalsupp01
{
	qer_editorimage textures/ex/ex_metalsupp01.tga
	{
		map textures/ex/ex_metalsupp01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_rndfloor_01
{
	qer_editorimage textures/ex/ex_rndfloor_01.tga
	{
		map textures/ex/ex_rndfloor_01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_steptop_01
{
	qer_editorimage textures/ex/ex_steptop_01.tga
	{
		map textures/ex/ex_steptop_01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_trim_simple03
{
	qer_editorimage textures/ex/ex_trim_simple03.tga
	{
		map textures/ex/ex_trim_simple03
	}
	{
		map $lightmap
	}
}

textures/ex/ex_wall_01
{
	qer_editorimage textures/ex/ex_wall_01.tga
	{
		map textures/ex/ex_wall_01
	}
	{
		map $lightmap
	}
}

textures/ex/ex_wall_01b
{
	qer_editorimage textures/ex/ex_wall_01b.tga
	{
		map textures/ex/ex_wall_01b
	}
	{
		map $lightmap
	}
}

textures/ex/ex_wall_pipe
{
	qer_editorimage textures/ex/ex_wall_pipe.tga
	{
		map textures/ex/ex_wall_pipe
	}
	{
		map $lightmap
	}
}

textures/ex/ex_wall_u207
{
	qer_editorimage textures/ex/ex_wall_u207.tga
	{
		map textures/ex/ex_wall_u207
	}
	{
		map $lightmap
	}
}

textures/liquids/protolava
{
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/protolava2.tga
		tcmod scale .2 .2
		tcmod scroll .04 .03
		tcmod turb 0 .1 0 .01
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/liquids/protolava.tga
		blendfunc blend
		tcmod turb 0 .2 0 .1
	}
}

textures/morphed/gelslime
{
	qer_editorimage textures/morphed/gelslime.tga
	q3map_lightimage textures/morphed/gelslime_glow.tga
	qer_trans 0.75
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm slime
	q3map_surfacelight 280
	q3map_tesssize 128
	cull none
	{
		map textures/morphed/gelslime.tga
		rgbgen identity
		depthwrite
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc blend
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

